Loading...
Searching...
No Matches
pcl::gpu::FeatureFromNormals Struct Reference

Feature represents the base feature class that takes normals as input also. More...

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::FeatureFromNormals:

## Public Member Functions

void | setInputNormals (const Normals &normals)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Protected Attributes

Normals | normals_
Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Additional Inherited Members

Public Types inherited from pcl::gpu::Feature
using | PointType = PointXYZ
using | NormalType = PointXYZ
using | PointCloud = DeviceArray<PointType>
using | Normals = DeviceArray<NormalType>
using | Indices = DeviceArray<int>

## Detailed Description

Feature represents the base feature class that takes normals as input also.

Definition at line 82 of file features.hpp.

## Member Function Documentation

## setInputNormals()

void pcl::gpu::FeatureFromNormals::setInputNormals | ( | const Normals & | normals | ) |

## Member Data Documentation

## normals_

Normals pcl::gpu::FeatureFromNormals::normals_

protected

Definition at line 88 of file features.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/features/include/pcl/gpu/features/features.hpp